--[[
	Addon: Alliance Points Logger Revived
	Author: BeansAndPixels
	Created by @CoUsT
]]--
 
AP = {}

AP.Logger = "AlliancePointsLoggerRevived"

AP.Log = function(eventCode, alliancePoints, playSound, difference)
	if difference >= 10 then
		local when = "[" .. GetTimeString() .. "]"
		
		local s = string.format("%d", math.floor(alliancePoints))
		local pos = string.len(s) % 3
		if pos == 0 then pos = 3 end
		points = string.sub(s, 1, pos)
		.. string.gsub(string.sub(s, pos+1), "(...)", ".%1")
		
		d(when .. " AP: " .. points .. " / Difference: " .. difference)
	end
end

EVENT_MANAGER:RegisterForEvent(AP.Logger, EVENT_ALLIANCE_POINT_UPDATE, AP.Log)